Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.encryption
Class EncryptionTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.encryption.AbstractEncryptionTransformer
              org.mule.transformer.encryption.EncryptionTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, Transformer, EndpointAware

    public class EncryptionTransformer

extends AbstractEncryptionTransformer

`EncryptionTransformer` will transform an array of bytes or string into an encrypted array of bytes

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`EncryptionTransformer()`

Method Summary
`protected byte[]` | `getTransformedBytes(byte[] buffer)`

Methods inherited from class org.mule.transformer.encryption.AbstractEncryptionTransformer
`clone, doTransform, getStrategy, getStrategyName, initialise, setStrategy, setStrategyName`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncryptionTransformer

    public EncryptionTransformer()

Method Detail

### getTransformedBytes

    protected byte[] getTransformedBytes(byte[] buffer)
                                  throws CryptoFailureException

  Specified by:
    `getTransformedBytes` in class `AbstractEncryptionTransformer`
  Throws:
    `CryptoFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.